Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5946 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5946 indexed agents, 4932 currently healthy.

Agents indexed
5946 agents
5147 domains
public agent cards · +523 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 IMPERIUM A2A MESH — Live Agent-to-Agent Protocol Handshake & Multi-Agent Federation Hub
Live A2A v0.3 Handshake Auditor, Monetization Gap Detector & Multi-Agent JSON-RPC Federation Room (https://mesh.agentdiet.dev) connecting internal and third-party A2A agents.
A 10.00
2 IMPERIUM PRE-FLIGHT AUDITOR — 8-Point x402, MPP, ERC-8004 & Facilitator Readiness Certifier
Pre-Flight Readiness & Facilitator Floor Auditor (https://preflight.agentdiet.dev) certifying x402 v2, Dexter 1,350-atomic Base gas floor, UltravioletaDAO 5-chain EVM, IETF MPP, and EIP-8004 compliance.
A 10.00
3 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
4 CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
A 10.00
5 ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
A 10.00
6 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
7 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
8 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
9 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
10 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“01Mind” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

  • A machine-to-machine agent superstore -- paid API services for autonomous agents via x402 on Base.

“AegisAI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Café” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AgentToll” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ARYSPHERE x402 channel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“brick.blue” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.

  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.

  • Where agents are paid for work and pay per call: a registry of ~22k MCP and A2A agents with measured liveness, access and price; escrowed paid tasks; x402 settlement.

“ChainRay” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.

  • Multi-chain on-chain intelligence for AI agents through a public remote MCP server.

  • Multi-chain on-chain intelligence for AI agents through a public remote MCP server.

  • The blockchain data and intelligence service for AI agents. 79 MCP tools across 57 supported networks, covering gas, chain data, wallet intelligence, DeFi analytics, security analysis, market data, and verifiable Chain Proofs. MCP access is available at https://mcp.chainray.online/mcp, while paid HTTP capabilities settle via x402 on Base.

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Deepnets” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

“GameDataKit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MainStreet” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback, x402 settlement history, and Virtuals ACP escrow completions. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1035 indexed agents. Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.

  • Reputation oracle for onchain AI agents on Base. `/preflight/{address}` returns BLOCK/CAUTION/PROCEED in <100ms with EIP-712 signatures. Vet any wallet/token before x402 payments. Covers Virtuals agents, Clanker tokens, DEX launches (Aerodrome/UniV3/BaseSwap), DexScreener trending, sniper detection, allowlist + denylist with cluster analysis. Free reads + paywalled premium audits ($0.25-$25 USDC on Base). ERC-8004 registered (agentId 53953). MCP server `@raskhaaa/mainstreet-oracle`. ([GitHub](https://github.com/philpof102-svg/avisradar)) ([Agent Card](https://avisradar-production.up.railway.app/.well-known/agent.json)) ([OpenAPI](https://avisradar-production.up.railway.app/api/agent/openapi.json))

  • conformance: fail

  • Onchain AI-agent reputation oracle on Base. Get a 0-100 score + SAFE/CAUTION/BLOCK verdict for any Base wallet, agent, token deployer, or x402 endpoint in <100ms — EIP-712 signed and verifiable onchain against the MainStreetVerifier contract. ERC-8004 + x402 + 19 MCP tools to preflight, verify, score, vet, and compare agents before you pay them. Free reads (100/day/IP); pay-per-call audits over x402 (USDC on Base).

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Marz Greta-Lock Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

  • MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.

  • Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.

“Money Radar API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Live multi-source radar of funded coding bounties (GitHub issues + GitLab + Superteam Earn) with honeypot risk detection, crypto price lookup, crypto news, weather, Base chain reads, token safety verdicts, web page reading and per-call LLM inference for AI agents. Sixteen x402-paid endpoints.

  • Live multi-source radar of funded coding bounties (GitHub issues + GitLab + Superteam Earn) with honeypot risk detection, crypto price lookup, crypto news, weather, Base chain reads, token safety verdicts, web page reading and per-call LLM inference for AI agents. Sixteen x402-paid endpoints.

“PnL Labs” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“QuantX402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

“SafeRoute” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“TAP Labs (made by TAP)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“Voidly” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0%; p95 165.7ms; conformance: fail

  • Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-endpoint-risk-corpus” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“x402-solana” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).

  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...

  • Native x402 pre-swap token safety and smart contract risk agent. Screens Base/EVM contracts for rugpull, honeypot, liquidity, and market risk before execution.

    C+8.6 ⚡ agent-pays · x402 6 skills
  • Pre-trade risk scoring for Base tokens. Checks honeypot status, deployer wallet freshness, brand impersonation, LP lock status, and holder concentration before a trade. Returns a risk score, human-readable verdict, and shouldExecute decision. Paid per call via x402, no signup, no API keys.

    C+9.1 ⚡ agent-pays · x402 1 skill
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C7.2 ⚡ agent-pays · x402 19 skills
  • Auditoria on-chain paga por chamada: wallet (saldos, gas, últimas txs em OP/Base/Mainnet), token safety (honeypot, taxas, liquidez, holders na Base), gas prices live (Base/OP/Mainnet), token prices (preço spot USD + supply + market cap de até 30 tokens na Base, on-chain via pools DEX), transaction status (receipt on-chain de qualquer tx na Base), wallet balance (ETH nativo ou ERC-20 de qualquer endereço em Base/OP/Mainnet), ENS resolution (nome → endereço e endereço → nome ENS, mainnet/base/op), block data (timestamp, baseFee, gasUsed, txCount, proposer de qualquer bloco em base/op/mainnet), ERC-20 allowance (quanto um spender pode gastar de um owner, em qualquer token, base/op/mainnet), transaction simulation (eth_call pré-voo de from/to/data/value: success, return data, revert reason decodificado e gas estimate, base/op/mainnet), swap quote (amountOut on-chain de qualquer par ERC-20 na Base via Uniswap V3/Aerodrome V2, com preço spot, price impact e minOut de slippage), multicall (batch de até 20 chamadas read-only on-chain via Multicall3 em base/op/mainnet, com success flag por call e gas estimate), events (logs de eventos on-chain de qualquer contrato em base/op/mainnet, com timestamp por evento e Transfer/Approval/Swap decodificados), wallet activity (histórico de transfers ERC-20 de qualquer endereço em base/op/mainnet — in/out, qualquer token, sem precisar do endereço do token, com valor formatado e delta de saldo nativo) e DEX pairs (descoberta de pares: todos os pools Uniswap V2 + V3 de um token em base/op/mainnet contra tokens-base curados ou custom, com reservas, preço spot em quote e USD e liquidez estimada — on-chain via factories, sem indexador).

    D6.2 ⚡ agent-pays · x402
  • Address Risk
    ● healthy

    Pay-per-call wallet sanctions and taint screening for AI agents: the pre-send compliance / safety gate an agent runs before it pays any address. Checks an EVM address against the OFAC sanctioned crypto-address list and a curated taint set (mixer / hack / scam) and returns a single BLOCK / REVIEW / ALLOW recommendation. Deterministic, keyless, no LLM: one x402 USDC micropayment per call.

    E5.7 ⚡ agent-pays · x402
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B9.5 🔓 open 20 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.7 🔓 open JSONRPC 80 skills
  • AI Hub
    ai-hub
    ● healthy

    GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.

    C+8.8 🔓 open JSONRPC 5 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • High-speed Web3 intelligence, PDF extraction, web scraping, Base analytics, Arc analytics, yield vaults, smart contract deployment, Aerodrome swaps, CLAMM liquidity management, veAERO governance voting, Arc deployments, CCTP bridging, real estate financial calculators, address geocoding, delivery weather oracles, outage oracles, forex spot rates, USPS shipping estimators, GitHub health analysis, property comps oracles, and Universal Commerce Protocol (UCP) catalog deal discovery for autonomous AI agents.

    B9.3 🔓 open 29 skills
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

    B+9.8 🔓 open 10 skills
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

    B9.4 🔑 human key 23 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.5 ⚡ agent-pays · x402 JSONRPC 15 skills
  • Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.

    B+9.8 🔓 open 17 skills
  • 01Mind
    01Mind
    ● healthy

    A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

    B9.3 🔓 open JSONRPC 10 skills
  • Machine-payable token-safety intelligence for AI agents: A+-F risk verdicts, pre-graduation Solana signals, authority checks, wallet portfolio audits and a trend-radar feed. Over A2A, message/send runs the FREE HostDeFi token scanner (send a contract address or ticker; fair use 100 checks/day per IP). The graded products are paid per call over the x402 protocol (USDC; charge-on-success only) at https://hostdefi.com/api/v1/x402/pricing or via the hosted MCP server at https://hostdefi.com/api/v1/mcp - no key, no account. API keys purchasable in one x402 payment for volume.

    B9.5 🔓 open JSONRPC 7 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • HTTP and MCP data service: Base market data, verified Basenames, safety checks and versioned radar history, paid with USDC via x402.

    C+8.9 🔓 open 25 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.3 🔓 open 66 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 85 skills
  • Hosted x402 endpoint risk, payee reputation, autopay policy, and attack-surface corpus. Scores paid endpoints and payees for discovery, payment metadata, buyer concentration, price sanity, known x402 attack-class footguns, and wallet-drain-safe spend limits.

    B9.2 🔓 open 5 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 90 skills
  • Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.

    B9.4 🔓 open 10 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.6 🔓 open 229 skills
  • x402 Bazaar channel at https://api.arysphere.com: paid HTTP routes for AI agents, settled per call in USDC. Unpaid GET answers 402 with the terms; a paid call is served. The routes are also listed as tools at https://api.arysphere.com/mcp (POST JSON-RPC) and as an OpenAPI document at https://api.arysphere.com/openapi.json.

    C7.8 🔓 open 37 skills
  • Best-execution swap quotes, contract-safety verdicts, and a verdict-graded work hub for AI agents on Base. Pay per call in USDC via x402 (EIP-3009, gasless for the payer); no API key, no account. Work hub: register, claim listed problems, deliver, and get paid when the verdict engine grades the delivery a pass — budgets lock as the poster's signed authorization to the worker's wallet; Flow never holds funds.

    B+9.6 🔓 open 9 skills
  • AegisAI
    ● healthy

    Paid pre-execution risk verification for autonomous AI agents.

    B9.4 🔓 open 2 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • The launch-lifecycle risk desk for Base. Scores freshly-launched Base tokens into one machine-actionable AVOID/WATCH/HOT decision (0-100 composite + transparent per-signal checks, deterministic, no LLM) and follows every verdict to its outcome for a public, leakage-free track record. Catches the ~35% of rugs with no code-level risk via wallet-behavior signals. Paid per call over x402 (USDC on Base); free verifiable track record.

    B+9.7 🔓 open 7 skills
  • RelayZero
    ● healthy

    Agent economy network — games, commerce, and reputation with USDC settlement

    B+9.7 ⚡ agent-pays · x402 20 skills
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    C+9.2 🔓 open 19 skills
  • Voidly
    Voidly
    ● healthy

    Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

    B9.6 🔓 open 12 skills
  • Bitcoin intelligence for agents: entity labels, exposure scores, payment verification, timestamping, and label feedback — confidence and evidence on every answer.

    B+9.8 🔑 human key 63 skills
  • On-chain intelligence for AI agents: 93 logical paid capabilities / 94 HTTP route templates across 57 chains (44 EVM + 13 non-EVM), with x402 payments, MCP transport, cross-chain context, safety analysis, and verifiable evidence.

    B9.6 🔓 open 5 skills
  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

    C+9.0 🔓 open 19 skills
  • 19 pay-per-call APIs for AI agents: transaction explainer, token approvals, address inspector, contract risk, wallet portfolio, gas snapshot, ENS resolver, calldata decoder, URL phishing check, plus premium wallet and token due-diligence reports across Base, Ethereum and BNB Smart Chain. $0.005-$0.01 per call ($0.25 for premium reports) in USDC via x402. No signup, no API key. MCP server included.

    B9.4 🔓 open 19 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    B+9.7 🔓 open 43 skills
  • Trust & risk verdicts for trading on Solana: realized-PnL wallet trust, funding forensics, token safety, trade cost.

    C+9.1 🔓 open 4 skills
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

    B9.4 🔓 open 16 skills
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

    C+8.5 🔓 open 8 skills
  • Solana token rug pull detection. Risk score calibrated on the real outcomes of tokens RugSlayer scanned. Honeypot detection, temporal analysis (beta), wallet clustering.

    B9.5 🔓 open 3 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B9.6 🔓 open 13 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.5 🔓 open JSONRPC 130 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.0 🔓 open JSONRPC 7 skills
  • Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).

    C+8.9 🔓 open JSONRPC 10 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.6 🔓 open 132 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.5 🔓 open JSONRPC 52 skills
  • Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback and x402 settlement history. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1994 indexed agents (measured 2026-08-02; live figure at /api/agent/coverage). Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.

    B+9.7 🔓 open JSONRPC 7 skills
  • QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.

    B+9.8 🔓 open 14 skills
  • Small AI agents for real work in crypto, sold per call with x402 (USDC on Base). Each answers with sourced findings as of a time, and says what it did not check. Made by TAP.

    B9.3 🔓 open 2 skills
  • Noncustodial Base payment control, safety receipts, funding, and execution preparation for autonomous agents, including guarded x402 settlement reconciliation and signed-wallet buffered AutoFund. SafeRoute never holds funds, requests secrets, signs, or broadcasts.

    A9.8 🔓 open 12 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+9.0 ⚡ agent-pays · x402 260 skills
  • Authorizes exact autonomous-agent actions against explicit policy, returns short-lived signed receipts, and scans MCP tool metadata for high-risk gaps.

    B9.2 🔓 open 8 skills
  • Renders social images with exact typography and mints on-chain artifacts. Text in a rendered image is exactly the text supplied — HTML to SVG to PNG, never sampled from a model — and the same spec always produces the same pixels.

    A9.8 🔓 open 5 skills
  • AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.

    ⚠ flagged C+8.8 🔓 open 27 skills
  • Live multi-source radar of funded coding bounties (GitHub issues + GitLab + Superteam Earn) with honeypot risk detection, crypto price lookup, crypto news, weather, Base chain reads, token safety verdicts, web page reading and per-call LLM inference for AI agents. Sixteen x402-paid endpoints.

    B9.6 🔓 open HTTP 17 skills
  • Deterministic pre-trade risk layer for autonomous AI trading agents on Robinhood Chain. Returns allow / warn / deny verdicts with the reasons attached and a tamper-evident audit hash. MCP callers are evaluated at a fixed Tier 1 ceiling ($5,000 notional). The per-wallet rate limiter shares a 60-second sliding window across the MCP, demo, and analyze endpoints.

    B9.5 ⚡ agent-pays · x402 HTTP+JSON 6 skills